Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.callsite
[Java] Class CallSiteGenerator

    java.lang.Object
      org.codehaus.groovy.runtime.callsite.CallSiteGenerator

    public class CallSiteGenerator
    extends Object

Method Summary
`static Constructor` | `compilePogoMethod(CachedMethod cachedMethod)`
`static Constructor` | `compilePojoMethod(CachedMethod cachedMethod)`
`static Constructor` | `compileStaticMethod(CachedMethod cachedMethod)`
`static void` | `genCallWithFixedParams(org.objectweb.asm.ClassWriter cw, String name, String superClass, CachedMethod cachedMethod, String receiverType)`
`static void` | `genCallXxxWithArray(org.objectweb.asm.ClassWriter cw, String name, String superClass, CachedMethod cachedMethod, String receiverType)`
`static byte[]` | `genPogoMetaMethodSite(CachedMethod cachedMethod, org.objectweb.asm.ClassWriter cw, String name)`
`static byte[]` | `genPojoMetaMethodSite(CachedMethod cachedMethod, org.objectweb.asm.ClassWriter cw, String name)`
`static byte[]` | `genStaticMetaMethodSite(CachedMethod cachedMethod, org.objectweb.asm.ClassWriter cw, String name)`
`static boolean` | `isCompilable(CachedMethod method)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### compilePogoMethod

    public static Constructor compilePogoMethod(CachedMethod cachedMethod)

### compilePojoMethod

    public static Constructor compilePojoMethod(CachedMethod cachedMethod)

### compileStaticMethod

    public static Constructor compileStaticMethod(CachedMethod cachedMethod)

### genCallWithFixedParams

    public static void genCallWithFixedParams(org.objectweb.asm.ClassWriter cw, String name, String superClass, CachedMethod cachedMethod, String receiverType)

### genCallXxxWithArray

    public static void genCallXxxWithArray(org.objectweb.asm.ClassWriter cw, String name, String superClass, CachedMethod cachedMethod, String receiverType)

### genPogoMetaMethodSite

    public static byte[] genPogoMetaMethodSite(CachedMethod cachedMethod, org.objectweb.asm.ClassWriter cw, String name)

### genPojoMetaMethodSite

    public static byte[] genPojoMetaMethodSite(CachedMethod cachedMethod, org.objectweb.asm.ClassWriter cw, String name)

### genStaticMetaMethodSite

    public static byte[] genStaticMetaMethodSite(CachedMethod cachedMethod, org.objectweb.asm.ClassWriter cw, String name)

### isCompilable

    public static boolean isCompilable(CachedMethod method)

Copyright © 2003-2010 The Codehaus. All rights reserved.